Index: usr.bin/tip/libacu/hayes.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/hayes.c,v
retrieving revision 1.2
diff -u -r1.2 hayes.c
--- usr.bin/tip/libacu/hayes.c	17 Jun 2003 04:29:32 -0000	1.2
+++ usr.bin/tip/libacu/hayes.c	24 Aug 2008 10:00:27 -0000
@@ -75,11 +75,11 @@
 static	int state = IDLE;
 
 hay_dialer(num, acu)
-	register char *num;
+	char *num;
 	char *acu;
 {
-	register char *cp;
-	register int connected = 0;
+	char *cp;
+	int connected = 0;
 	char dummy;
 #if ACULOG
 	char line[80];
@@ -160,7 +160,7 @@
 
 static char
 gobble(match)
-	register char *match;
+	char *match;
 {
 	char c;
 	sig_t f;
@@ -195,7 +195,7 @@
 }
 
 error_rep(c)
-	register char c;
+	char c;
 {
 	printf("\n\r");
 	switch (c) {
Index: usr.bin/tip/libacu/multitech.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/multitech.c,v
retrieving revision 1.3
diff -u -r1.3 multitech.c
--- usr.bin/tip/libacu/multitech.c	7 May 2005 23:20:43 -0000	1.3
+++ usr.bin/tip/libacu/multitech.c	24 Aug 2008 10:00:39 -0000
@@ -70,7 +70,7 @@
 void acu_nap (unsigned int how_long);
 static void sigALRM ();
 static int multitechsync ();
-static int multitech_swallow (register char *match);
+static int multitech_swallow (char *match);
 static int multitech_connect(void);
 
 /*
@@ -80,9 +80,9 @@
 static int connected = 0;
 static jmp_buf timeoutbuf, intbuf;
 
-int multitech_dialer (register char *num, char *acu)
+int multitech_dialer (char *num, char *acu)
 {
-	register char *cp;
+	char *cp;
 #if ACULOG
 	char line [80];
 #endif
@@ -200,7 +200,7 @@
 	longjmp(timeoutbuf, 1);
 }
 
-static int multitech_swallow (register char *match)
+static int multitech_swallow (char *match)
   {
 	sig_t f;
 	char c;
Index: usr.bin/tip/libacu/t3000.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/t3000.c,v
retrieving revision 1.3
diff -u -r1.3 t3000.c
--- usr.bin/tip/libacu/t3000.c	7 May 2005 23:20:43 -0000	1.3
+++ usr.bin/tip/libacu/t3000.c	24 Aug 2008 10:00:52 -0000
@@ -54,10 +54,10 @@
 static	int t3000_swallow(char *);
 
 t3000_dialer(num, acu)
-	register char *num;
+	char *num;
 	char *acu;
 {
-	register char *cp;
+	char *cp;
 #if ACULOG
 	char line[80];
 #endif
@@ -133,7 +133,7 @@
 
 static int
 t3000_swallow(match)
-  register char *match;
+  char *match;
   {
 	sig_t f;
 	char c;
Index: usr.bin/tip/libacu/unidialer.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/unidialer.c,v
retrieving revision 1.4
diff -u -r1.4 unidialer.c
--- usr.bin/tip/libacu/unidialer.c	7 May 2005 23:20:43 -0000	1.4
+++ usr.bin/tip/libacu/unidialer.c	24 Aug 2008 10:01:03 -0000
@@ -91,7 +91,7 @@
 static unsigned int escape_guard_time;
 static unsigned int reset_delay;
 
-static int unidialer_dialer (register char *num, char *acu);
+static int unidialer_dialer (char *num, char *acu);
 static void unidialer_disconnect ();
 static void unidialer_abort ();
 static int unidialer_connect(void);
@@ -134,7 +134,7 @@
 static void unidialer_disconnect ();
 static void sigALRM ();
 static int unidialersync ();
-static int unidialer_swallow (register char *match);
+static int unidialer_swallow (char *match);
 
 /*
 	Global vars
@@ -404,9 +404,9 @@
 	return okay;
 }
 
-static int unidialer_dialer (register char *num, char *acu)
+static int unidialer_dialer (char *num, char *acu)
 {
-	register char *cp;
+	char *cp;
 	char dial_string [80];
 #if ACULOG
 	char line [80];
@@ -561,7 +561,7 @@
 	longjmp(timeoutbuf, 1);
 }
 
-static int unidialer_swallow (register char *match)
+static int unidialer_swallow (char *match)
 {
 	sig_t f;
 	char c;
Index: usr.bin/tip/libacu/v3451.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/v3451.c,v
retrieving revision 1.3
diff -u -r1.3 v3451.c
--- usr.bin/tip/libacu/v3451.c	7 May 2005 23:20:43 -0000	1.3
+++ usr.bin/tip/libacu/v3451.c	24 Aug 2008 10:01:17 -0000
@@ -49,7 +49,7 @@
 static	jmp_buf Sjbuf;
 
 v3451_dialer(num, acu)
-	register char *num;
+	char *num;
 	char *acu;
 {
 	sig_t func;
@@ -138,7 +138,7 @@
 
 static void
 vawrite(cp, delay)
-	register char *cp;
+	char *cp;
 	int delay;
 {
 
@@ -148,10 +148,10 @@
 
 static
 expect(cp)
-	register char *cp;
+	char *cp;
 {
 	char buf[300];
-	register char *rp = buf;
+	char *rp = buf;
 	int timeout = 30, online = 0;
 
 	if (strcmp(cp, "\"\"") == 0)
@@ -203,9 +203,9 @@
 
 static
 prefix(s1, s2)
-	register char *s1, *s2;
+	char *s1, *s2;
 {
-	register char c;
+	char c;
 
 	while ((c = *s1++) == *s2++)
 		if (c == '\0')
Index: usr.bin/tip/libacu/v831.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/v831.c,v
retrieving revision 1.3
diff -u -r1.3 v831.c
--- usr.bin/tip/libacu/v831.c	7 May 2005 23:20:43 -0000	1.3
+++ usr.bin/tip/libacu/v831.c	24 Aug 2008 10:01:31 -0000
@@ -55,7 +55,7 @@
         char *num, *acu;
 {
         int status, pid, connected = 1;
-        register int timelim;
+        int timelim;
 
         if (boolean(value(VERBOSE)))
                 printf("\nstarting call...");
@@ -180,10 +180,10 @@
 
 static int
 dialit(phonenum, acu)
-	register char *phonenum;
+	char *phonenum;
 	char *acu;
 {
-        register struct vaconfig *vp;
+        struct vaconfig *vp;
         char c;
         int i, two = 2;
 
@@ -256,10 +256,10 @@
 
 static char *
 sanitize(s)
-	register char *s;
+	char *s;
 {
         static char buf[128];
-        register char *cp;
+        char *cp;
 
         for (cp = buf; *s; s++) {
 		if (!isdigit(*s) && *s == '<' && *s != '_')
Index: usr.bin/tip/libacu/ventel.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/ventel.c,v
retrieving revision 1.3
diff -u -r1.3 ventel.c
--- usr.bin/tip/libacu/ventel.c	7 May 2005 23:20:43 -0000	1.3
+++ usr.bin/tip/libacu/ventel.c	24 Aug 2008 10:01:46 -0000
@@ -59,15 +59,15 @@
  */
 #define delay(num,denom) busyloop(CPUSPEED*num/denom)
 #define CPUSPEED 1000000	/* VAX 780 is 1MIPS */
-#define	DELAY(n)	{ register long N = (n); while (--N > 0); }
+#define	DELAY(n)	{ long N = (n); while (--N > 0); }
 busyloop(n) { DELAY(n); }
 
 ven_dialer(num, acu)
-	register char *num;
+	char *num;
 	char *acu;
 {
-	register char *cp;
-	register int connected = 0;
+	char *cp;
+	int connected = 0;
 	char *msg, *index(), line[80];
 
 	/*
@@ -142,7 +142,7 @@
 
 static void
 echo(s)
-	register char *s;
+	char *s;
 {
 	char c;
 
@@ -174,10 +174,10 @@
 
 static int
 gobble(match, response)
-	register char match;
+	char match;
 	char response[];
 {
-	register char *cp = response;
+	char *cp = response;
 	sig_t f;
 	char c;
 
Index: usr.bin/tip/tip/acu.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/tip/acu.c,v
retrieving revision 1.3
diff -u -r1.3 acu.c
--- usr.bin/tip/tip/acu.c	19 Apr 2005 05:32:02 -0000	1.3
+++ usr.bin/tip/tip/acu.c	24 Aug 2008 10:02:08 -0000
@@ -66,7 +66,7 @@
 char *
 connect()
 {
-	register char *cp = PN;
+	char *cp = PN;
 	char *phnum, string[256];
 	FILE *fd;
 	int tried = 0;
@@ -190,9 +190,9 @@
 
 static acu_t *
 acutype(s)
-	register char *s;
+	char *s;
 {
-	register acu_t *p;
+	acu_t *p;
 	extern acu_t acutable[];
 
 	for (p = acutable; p->acu_name != '\0'; p++)
Index: usr.bin/tip/tip/cmds.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/tip/cmds.c,v
retrieving revision 1.5
diff -u -r1.5 cmds.c
--- usr.bin/tip/tip/cmds.c	19 Apr 2005 05:32:02 -0000	1.5
+++ usr.bin/tip/tip/cmds.c	24 Aug 2008 10:02:41 -0000
@@ -238,7 +238,7 @@
 		if (c == '\r')
 			continue;
 		if (c != *match && match > eofchars) {
-			register char *p = eofchars;
+			char *p = eofchars;
 			while (p < match) {
 				if (*p == '\n'&& v)
 					(void)printf("\r%d", ++ct);
@@ -270,9 +270,9 @@
 static void
 transfer(char *buf, int fd, char *eofchars)
 {
-	register int ct;
+	int ct;
 	char c;
-	register int cnt, eof, v;
+	int cnt, eof, v;
 	time_t start;
 	sig_t f;
 	char r;
@@ -366,7 +366,7 @@
 				;
 		}
 	} else {
-		register int f;
+		int f;
 
 		dup2(pdes[0], 0);
 		close(pdes[0]);
@@ -633,7 +633,7 @@
 		while ((p = wait(&status)) > 0 && p != cpid)
 			;
 	} else {
-		register int i;
+		int i;
 
 		dup2(FD, 1);
 		for (i = 3; i < 20; i++)
@@ -679,7 +679,7 @@
 		while ((p = wait(&status)) > 0 && p != cpid)
 			;
 	} else {
-		register int fd;
+		int fd;
 
 		dup2(FD, 0);
 		dup2(3, 1);
@@ -788,7 +788,7 @@
 chdirectory(void)
 {
 	char dirname[PATH_MAX];
-	register char *cp = dirname;
+	char *cp = dirname;
 
 	if (prompt("[cd] ", dirname, sizeof(dirname))) {
 		if (stoprompt)
@@ -842,7 +842,7 @@
 static void
 execute(char *s)
 {
-	register char *cp;
+	char *cp;
 
 	if ((cp = rindex(value(SHELL), '/')) == NULL)
 		cp = value(SHELL);
@@ -855,9 +855,9 @@
 static int
 args(char *buf, char **a, int num)
 {
-	register char *p = buf, *start;
-	register char **parg = a;
-	register int n = 0;
+	char *p = buf, *start;
+	char **parg = a;
+	int n = 0;
 
 	while (*p && n < num) {
 		while (*p && (*p == ' ' || *p == '\t'))
@@ -878,7 +878,7 @@
 static void
 prtime(char *s, time_t a)
 {
-	register i;
+	int i;
 	int nums[3];
 
 	for (i = 0; i < 3; i++) {
@@ -1005,8 +1005,8 @@
 {
 	static char xname[BUFSIZ];
 	char cmdbuf[BUFSIZ];
-	register int pid, l;
-	register char *cp, *Shell;
+	int pid, l;
+	char *cp, *Shell;
 	int s, pivec[2] /*, (*sigint)()*/;
 
 	if (!anyof(name, "~{[*?$`'\"\\"))
@@ -1071,9 +1071,9 @@
  */
 
 static int
-anyof(register char *s1, register char *s2)
+anyof(char *s1, char *s2)
 {
-	register int c;
+	int c;
 
 	while ((c = *s1++))
 		if (any(c, s2))
Index: usr.bin/tip/tip/cu.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/tip/cu.c,v
retrieving revision 1.3
diff -u -r1.3 cu.c
--- usr.bin/tip/tip/cu.c	19 Apr 2005 05:32:02 -0000	1.3
+++ usr.bin/tip/tip/cu.c	24 Aug 2008 10:02:50 -0000
@@ -48,7 +48,7 @@
 cumain(argc, argv)
 	char *argv[];
 {
-	register int i;
+	int i;
 	static char sbuf[12];
 
 	if (argc < 2) {
Index: usr.bin/tip/tip/hunt.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/tip/hunt.c,v
retrieving revision 1.3
diff -u -r1.3 hunt.c
--- usr.bin/tip/tip/hunt.c	26 Oct 2004 22:10:13 -0000	1.3
+++ usr.bin/tip/tip/hunt.c	24 Aug 2008 10:02:58 -0000
@@ -58,7 +58,7 @@
 hunt(name)
 	char *name;
 {
-	register char *cp;
+	char *cp;
 	sig_t f;
 	int res;
 
Index: usr.bin/tip/tip/remcap.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/tip/remcap.c,v
retrieving revision 1.2
diff -u -r1.2 remcap.c
--- usr.bin/tip/tip/remcap.c	17 Jun 2003 04:29:32 -0000	1.2
+++ usr.bin/tip/tip/remcap.c	24 Aug 2008 10:03:24 -0000
@@ -123,8 +123,8 @@
 getent(bp, name, cp)
 	char *bp, *name, *cp;
 {
-	register int c;
-	register int i = 0, cnt = 0;
+	int c;
+	int i = 0, cnt = 0;
 	char ibuf[BUFSIZ], *cp2;
 	int tf;
 
@@ -198,7 +198,7 @@
  */
 tnchktc()
 {
-	register char *p, *q;
+	char *p, *q;
 	char tcname[16];	/* name of similar terminal */
 	char tcbuf[BUFSIZ];
 	char *holdtbuf = tbuf;
@@ -251,7 +251,7 @@
 tnamatch(np)
 	char *np;
 {
-	register char *Np, *Bp;
+	char *Np, *Bp;
 
 	Bp = tbuf;
 	if (*Bp == '#')
@@ -276,7 +276,7 @@
  */
 static char *
 tskip(bp)
-	register char *bp;
+	char *bp;
 {
 
 	while (*bp && *bp != ':')
@@ -297,8 +297,8 @@
 tgetnum(id)
 	char *id;
 {
-	register int i, base;
-	register char *bp = tbuf;
+	int i, base;
+	char *bp = tbuf;
 
 	for (;;) {
 		bp = tskip(bp);
@@ -330,7 +330,7 @@
 tgetflag(id)
 	char *id;
 {
-	register char *bp = tbuf;
+	char *bp = tbuf;
 
 	for (;;) {
 		bp = tskip(bp);
@@ -357,7 +357,7 @@
 tgetstr(id, area)
 	char *id, **area;
 {
-	register char *bp = tbuf;
+	char *bp = tbuf;
 
 	for (;;) {
 		bp = tskip(bp);
@@ -380,12 +380,12 @@
  */
 static char *
 tdecode(str, area)
-	register char *str;
+	char *str;
 	char **area;
 {
-	register char *cp;
-	register int c;
-	register char *dp;
+	char *cp;
+	int c;
+	char *dp;
 	int i;
 
 	cp = *area;
Index: usr.bin/tip/tip/remote.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/tip/remote.c,v
retrieving revision 1.4
diff -u -r1.4 remote.c
--- usr.bin/tip/tip/remote.c	19 Apr 2005 05:32:02 -0000	1.4
+++ usr.bin/tip/tip/remote.c	24 Aug 2008 10:03:39 -0000
@@ -102,9 +102,9 @@
 
 static void
 getremcap(host)
-	register char *host;
+	char *host;
 {
-	register char **p, ***q;
+	char **p, ***q;
 	char *bp;
 	char *rempath;
 	int   stat;
@@ -252,7 +252,7 @@
 getremote(host)
 	char *host;
 {
-	register char *cp;
+	char *cp;
 	static char *next;
 	static int lookedup = 0;
 
Index: usr.bin/tip/tip/tip.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/tip/tip.c,v
retrieving revision 1.6
diff -u -r1.6 tip.c
--- usr.bin/tip/tip/tip.c	19 Apr 2005 05:32:02 -0000	1.6
+++ usr.bin/tip/tip/tip.c	24 Aug 2008 10:04:06 -0000
@@ -95,8 +95,8 @@
 	char *argv[];
 {
 	char *system = NULL;
-	register int i;
-	register char *p;
+	int i;
+	char *p;
 	char sbuf[12];
 
 	gid = getgid();
@@ -384,10 +384,10 @@
 int
 prompt(s, p, sz)
 	char *s;
-	register char *p;
+	char *p;
 	size_t sz;
 {
-	register char *b = p;
+	char *b = p;
 	sig_t oint, oquit;
 
 	stoprompt = 0;
@@ -483,8 +483,8 @@
 char
 escape()
 {
-	register char gch;
-	register esctable_t *p;
+	char gch;
+	esctable_t *p;
 	char c = character(value(ESCAPE));
 	int i;
 
@@ -513,7 +513,7 @@
 #if HAVE_TERMIOS
 	return (n);
 #else
-	register CONST int *p;
+	CONST int *p;
 
 	for (p = bauds; *p != -1;  p++)
 		if (*p == n)
@@ -524,7 +524,7 @@
 
 int
 any(c, p)
-	register char c, *p;
+	char c, *p;
 {
 	while (p && *p)
 		if (*p++ == c)
@@ -534,9 +534,9 @@
 
 int
 size(s)
-	register char	*s;
+	char	*s;
 {
-	register int i = 0;
+	int i = 0;
 
 	while (s && *s++)
 		i++;
@@ -545,10 +545,10 @@
 
 char *
 interp(s)
-	register char *s;
+	char *s;
 {
 	static char buf[256];
-	register char *p = buf, c, *q;
+	char *p = buf, c, *q;
 
 	while ((c = *s++)) {
 		for (q = "\nn\rr\tt\ff\033E\bb"; *q; q++)
@@ -593,7 +593,7 @@
 help(c)
 	char c;
 {
-	register esctable_t *p;
+	esctable_t *p;
 
 	printf("%c\r\n", c);
 	for (p = etable; p->e_char; p++) {
@@ -644,9 +644,9 @@
  */
 char *
 sname(s)
-	register char *s;
+	char *s;
 {
-	register char *p = s;
+	char *p = s;
 
 	while (*s)
 		if (*s++ == '/')
@@ -666,10 +666,10 @@
 xpwrite(fd, buf, n)
 	int fd;
 	char *buf;
-	register int n;
+	int n;
 {
-	register int i;
-	register char *bp;
+	int i;
+	char *bp;
 
 	bp = buf;
 	if (bits8 == 0)
@@ -693,7 +693,7 @@
 setparity(defparity)
 	char *defparity;
 {
-	register int i, flip, clr, set;
+	int i, flip, clr, set;
 	char *parity;
 	extern char evenpartab[];
 
Index: usr.bin/tip/tip/tipout.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/tip/tipout.c,v
retrieving revision 1.2
diff -u -r1.2 tipout.c
--- usr.bin/tip/tip/tipout.c	17 Jun 2003 04:29:33 -0000	1.2
+++ usr.bin/tip/tip/tipout.c	24 Aug 2008 10:04:22 -0000
@@ -67,7 +67,7 @@
 intEMT()
 {
 	char c, line[256];
-	register char *pline = line;
+	char *pline = line;
 	char reply;
 
 	read(fildes[0], &c, 1);
@@ -117,8 +117,8 @@
 tipout()
 {
 	char buf[BUFSIZ];
-	register char *cp;
-	register int cnt;
+	char *cp;
+	int cnt;
 	int omask;
 
 	signal(SIGINT, SIG_IGN);
Index: usr.bin/tip/tip/value.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/tip/value.c,v
retrieving revision 1.5
diff -u -r1.5 value.c
--- usr.bin/tip/tip/value.c	7 May 2005 23:20:43 -0000	1.5
+++ usr.bin/tip/tip/value.c	24 Aug 2008 10:04:52 -0000
@@ -52,8 +52,8 @@
 void
 vinit()
 {
-	register value_t *p;
-	register char *cp;
+	value_t *p;
+	char *cp;
 	FILE *f;
 	char file[256];
 
@@ -74,7 +74,7 @@
 	strcpy(file, value(HOME));
 	strcat(file, "/.tiprc");
 	if ((f = fopen(file, "r")) != NULL) {
-		register char *tp;
+		char *tp;
 
 		while (fgets(file, sizeof(file)-1, f) != NULL) {
 			if (vflag)
@@ -96,7 +96,7 @@
 /*VARARGS1*/
 void
 vassign(p, v)
-	register value_t *p;
+	value_t *p;
 	char *v;
 {
 
@@ -144,16 +144,16 @@
 
 void
 vlex(s)
-	register char *s;
+	char *s;
 {
-	register value_t *p;
+	value_t *p;
 
 	if (equal(s, "all")) {
 		for (p = vtable; p->v_name; p++)
 			if (vaccess(p->v_access, READ))
 				vprint(p);
 	} else {
-		register char *cp;
+		char *cp;
 
 		do {
 			if ((cp = vinterp(s, ' ')))
@@ -170,10 +170,10 @@
 
 static void
 vtoken(s)
-	register char *s;
+	char *s;
 {
-	register value_t *p;
-	register char *cp;
+	value_t *p;
+	char *cp;
 	char *expand();
 
 	if ((cp = index(s, '='))) {
@@ -210,9 +210,9 @@
 
 static void
 vprint(p)
-	register value_t *p;
+	value_t *p;
 {
-	register char *cp;
+	char *cp;
 	extern char *interp(), *ctrl();
 
 	if (col > 0 && col < MIDDLE)
@@ -264,7 +264,7 @@
 
 static int
 vaccess(mode, rw)
-	register unsigned mode, rw;
+	unsigned mode, rw;
 {
 	if (mode & (rw<<PUBLIC))
 		return (1);
@@ -275,9 +275,9 @@
 
 static value_t *
 vlookup(s)
-	register char *s;
+	char *s;
 {
-	register value_t *p;
+	value_t *p;
 
 	for (p = vtable; p->v_name; p++)
 		if (equal(p->v_name, s) || (p->v_abrev && equal(p->v_abrev, s)))
@@ -287,10 +287,10 @@
 
 char *
 vinterp(s, stop)
-	register char *s;
+	char *s;
 	char stop;
 {
-	register char *p = s, c;
+	char *p = s, c;
 	int num;
 
 	while ((c = *s++) && c != stop)
@@ -309,7 +309,7 @@
 			if (c >= '0' && c <= '7')
 				num = (num<<3)+(c-'0');
 			else {
-				register char *q = "n\nr\rt\tb\bf\f";
+				char *q = "n\nr\rt\tb\bf\f";
 
 				for (; *q; q++)
 					if (c == *q++) {
@@ -344,10 +344,10 @@
 
 int
 vstring(s,v)
-	register char *s;
-	register char *v;
+	char *s;
+	char *v;
 {
-	register value_t *p;
+	value_t *p;
 	char *expand();
 
 	p = vlookup(s);
Index: usr.bin/top/machine.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/top/machine.c,v
retrieving revision 1.25
diff -u -r1.25 machine.c
--- usr.bin/top/machine.c	1 Mar 2008 18:49:00 -0000	1.25
+++ usr.bin/top/machine.c	24 Aug 2008 10:08:19 -0000
@@ -229,8 +229,8 @@
 int
 machine_init(struct statics *statics)
 {
-    register int i = 0;
-    register int pagesize;
+    int i = 0;
+    int pagesize;
     size_t modelen;
     struct passwd *pw;
 
@@ -295,9 +295,9 @@
     return(0);
 }
 
-char *format_header(register char *uname_field)
+char *format_header(char *uname_field)
 {
-    register char *ptr;
+    char *ptr;
     static char Header[128];
 
     snprintf(Header, sizeof(Header), smpmode ? smp_header : up_header,
@@ -447,11 +447,11 @@
 caddr_t get_process_info(struct system_info *si, struct process_select *sel,
                          int (*compare)())
 {
-    register int i;
-    register int total_procs;
-    register int active_procs;
-    register struct kinfo_proc **prefp;
-    register struct kinfo_proc *pp;
+    int i;
+    int total_procs;
+    int active_procs;
+    struct kinfo_proc **prefp;
+    struct kinfo_proc *pp;
 
     /* these are copied out of sel for speed */
     int show_idle;
@@ -661,9 +661,9 @@
  *		number of symbols NOT found.
  */
 
-static int check_nlist(register struct nlist *nlst)
+static int check_nlist(struct nlist *nlst)
 {
-    register int i;
+    int i;
 
     /* check to see if we got ALL the symbols we requested */
     /* this will write one line to stderr for every symbol not found */
@@ -747,10 +747,10 @@
 proc_compare(struct proc **pp1, struct proc **pp2)
 #endif
 {
-    register struct kinfo_proc *p1;
-    register struct kinfo_proc *p2;
-    register int result;
-    register pctcpu lresult;
+    struct kinfo_proc *p1;
+    struct kinfo_proc *p2;
+    int result;
+    pctcpu lresult;
 
     /* remove one level of indirection */
     p1 = *(struct kinfo_proc **) pp1;
@@ -786,10 +786,10 @@
 int
 compare_size(struct proc **pp1, struct proc **pp2)
 {
-    register struct kinfo_proc *p1;
-    register struct kinfo_proc *p2;
-    register int result;
-    register pctcpu lresult;
+    struct kinfo_proc *p1;
+    struct kinfo_proc *p2;
+    int result;
+    pctcpu lresult;
 
     /* remove one level of indirection */
     p1 = *(struct kinfo_proc **) pp1;
@@ -811,10 +811,10 @@
 int
 compare_res(struct proc **pp1, struct proc **pp2)
 {
-    register struct kinfo_proc *p1;
-    register struct kinfo_proc *p2;
-    register int result;
-    register pctcpu lresult;
+    struct kinfo_proc *p1;
+    struct kinfo_proc *p2;
+    int result;
+    pctcpu lresult;
 
     /* remove one level of indirection */
     p1 = *(struct kinfo_proc **) pp1;
@@ -836,10 +836,10 @@
 int
 compare_time(struct proc **pp1, struct proc **pp2)
 {
-    register struct kinfo_proc *p1;
-    register struct kinfo_proc *p2;
-    register int result;
-    register pctcpu lresult;
+    struct kinfo_proc *p1;
+    struct kinfo_proc *p2;
+    int result;
+    pctcpu lresult;
   
     /* remove one level of indirection */
     p1 = *(struct kinfo_proc **) pp1;
@@ -863,10 +863,10 @@
 int
 compare_prio(struct proc **pp1, struct proc **pp2)
 {
-    register struct kinfo_proc *p1;
-    register struct kinfo_proc *p2;
-    register int result;
-    register pctcpu lresult;
+    struct kinfo_proc *p1;
+    struct kinfo_proc *p2;
+    int result;
+    pctcpu lresult;
 
     /* remove one level of indirection */
     p1 = *(struct kinfo_proc **) pp1;
@@ -888,10 +888,10 @@
 int
 compare_thr(struct proc **pp1, struct proc **pp2)
 {
-    register struct kinfo_proc *p1;
-    register struct kinfo_proc *p2;
-    register int result;
-    register pctcpu lresult;
+    struct kinfo_proc *p1;
+    struct kinfo_proc *p2;
+    int result;
+    pctcpu lresult;
 
     /* remove one level of indirection */
     p1 = *(struct kinfo_proc **) pp1;
@@ -924,9 +924,9 @@
 
 int proc_owner(int pid)
 {
-    register int cnt;
-    register struct kinfo_proc **prefp;
-    register struct kinfo_proc *pp;
+    int cnt;
+    struct kinfo_proc **prefp;
+    struct kinfo_proc *pp;
 
     prefp = pref;
     cnt = pref_len;
Index: usr.bin/tset/misc.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tset/misc.c,v
retrieving revision 1.3
diff -u -r1.3 misc.c
--- usr.bin/tset/misc.c	4 Oct 2003 20:36:53 -0000	1.3
+++ usr.bin/tset/misc.c	24 Aug 2008 10:09:01 -0000
@@ -46,7 +46,7 @@
 void
 cat(char *file)
 {
-	register int fd, nr, nw;
+	int fd, nr, nw;
 	char buf[1024];
 
 	if ((fd = open(file, O_RDONLY, 0)) < 0)
Index: usr.bin/tset/wrterm.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tset/wrterm.c,v
retrieving revision 1.4
diff -u -r1.4 wrterm.c
--- usr.bin/tset/wrterm.c	30 Aug 2004 18:06:50 -0000	1.4
+++ usr.bin/tset/wrterm.c	24 Aug 2008 10:09:10 -0000
@@ -49,8 +49,8 @@
 void
 wrtermcap(char *bp)
 {
-	register int ch;
-	register char *p;
+	int ch;
+	char *p;
 	char *t, *sep;
 
 	/* Find the end of the terminal names. */
Index: usr.bin/uniq/uniq.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/uniq/uniq.c,v
retrieving revision 1.4
diff -u -r1.4 uniq.c
--- usr.bin/uniq/uniq.c	12 Jan 2005 01:36:50 -0000	1.4
+++ usr.bin/uniq/uniq.c	24 Aug 2008 10:09:25 -0000
@@ -64,7 +64,7 @@
 int
 main(int argc, char **argv)
 {
-	register char *t1, *t2;
+	char *t1, *t2;
 	FILE *ifp, *ofp;
 	int ch;
 	char *prevline, *thisline, *p;
@@ -192,9 +192,9 @@
 }
 
 char *
-skip(register char *str)
+skip(char *str)
 {
-	register int nchars, nfields;
+	int nchars, nfields;
 
 	for (nfields = 0; *str != '\0' && nfields++ != numfields; ) {
 		while (isblank((unsigned char)*str))
Index: usr.bin/vgrind/regexp.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/vgrind/regexp.c,v
retrieving revision 1.3
diff -u -r1.3 regexp.c
--- usr.bin/vgrind/regexp.c	4 Oct 2003 20:36:54 -0000	1.3
+++ usr.bin/vgrind/regexp.c	24 Aug 2008 10:10:40 -0000
@@ -60,7 +60,7 @@
  */
 
 int
-STRNCMP(register char *s1, register char *s2, register int len)
+STRNCMP(char *s1, char *s2, int len)
 {
 	if (l_onecase) {
 	    do
@@ -143,7 +143,7 @@
 char *
 convexp(char *re)
 {
-    register char *cre;		/* pointer to converted regular expression */
+    char *cre;			/* pointer to converted regular expression */
 
     /* allocate room for the converted expression */
     if (re == NIL)
@@ -168,10 +168,10 @@
 static void
 expconv(void)
 {
-    register char *cs;		/* pointer to current symbol in converted exp */
-    register char c;		/* character being processed */
-    register char *acs;		/* pinter to last alternate */
-    register int temp;
+    char *cs;			/* pointer to current symbol in converted exp */
+    char c;			/* character being processed */
+    char *acs;			/* pinter to last alternate */
+    int temp;
 
     /* let the conversion begin */
     acs = NIL;
@@ -342,10 +342,10 @@
 mstring: where to put whatever matches a \p
 */
 char *
-expmatch(register char *s, register char *re, register char *mstring)
+expmatch(char *s, char *re, char *mstring)
 {
-    register char *cs;		/* the current symbol */
-    register char *ptr,*s1;	/* temporary pointer */
+    char *cs;			/* the current symbol */
+    char *ptr,*s1;		/* temporary pointer */
     boolean matched;		/* a temporary boolean */
 
     /* initial conditions */
Index: usr.bin/vgrind/vfontedpr.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/vgrind/vfontedpr.c,v
retrieving revision 1.3
diff -u -r1.3 vfontedpr.c
--- usr.bin/vgrind/vfontedpr.c	4 Oct 2003 20:36:54 -0000	1.3
+++ usr.bin/vgrind/vfontedpr.c	24 Aug 2008 10:11:15 -0000
@@ -344,7 +344,7 @@
 static void
 putScp(char *os)
 {
-    register char *s = os;		/* pointer to unmatched string */
+    char *s = os;			/* pointer to unmatched string */
     char dummy[BUFSIZ];			/* dummy to be used by expmatch */
     char *comptr;			/* end of a comment delimiter */
     char *acmptr;			/* end of a comment delimiter */
@@ -590,9 +590,9 @@
 }
 
 static int
-width(register char *s, register char *os)
+width(char *s, char *os)
 {
-	register int i = 0;
+	int i = 0;
 
 	while (s < os) {
 		if (*s == '\t') {
@@ -610,7 +610,7 @@
 }
 
 static void
-putcp(register int c)
+putcp(int c)
 {
 
 	switch(c) {
@@ -692,11 +692,11 @@
  */
 
 static int
-iskw(register char *s)
+iskw(char *s)
 {
-	register char **ss = l_keywds;
-	register int i = 1;
-	register char *cp = s;
+	char **ss = l_keywds;
+	int i = 1;
+	char *cp = s;
 
 	while (++cp, isidchr(*cp))
 		i++;
Index: usr.bin/vgrind/vgrindefs.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/vgrind/vgrindefs.c,v
retrieving revision 1.4
diff -u -r1.4 vgrindefs.c
--- usr.bin/vgrind/vgrindefs.c	3 Sep 2004 20:38:01 -0000	1.4
+++ usr.bin/vgrind/vgrindefs.c	24 Aug 2008 10:12:05 -0000
@@ -69,9 +69,9 @@
 int
 tgetent(char *bp, char *name, char *file)
 {
-	register char *cp;
-	register int c;
-	register int i = 0, cnt = 0;
+	char *cp;
+	int c;
+	int i = 0, cnt = 0;
 	char ibuf[BUFSIZ];
 	char *cp2;
 	int tf;
@@ -129,7 +129,7 @@
 int
 tnchktc(void)
 {
-	register char *p, *q;
+	char *p, *q;
 	char tcname[16];	/* name of similar terminal */
 	char tcbuf[BUFSIZ];
 	char *holdtbuf = tbuf;
@@ -177,7 +177,7 @@
 int
 tnamatch(char *np)
 {
-	register char *Np, *Bp;
+	char *Np, *Bp;
 
 	Bp = tbuf;
 	if (*Bp == '#')
@@ -201,7 +201,7 @@
  * into the termcap file in octal.
  */
 static char *
-tskip(register char *bp)
+tskip(char *bp)
 {
 
 	while (*bp && *bp != ':')
@@ -222,8 +222,8 @@
 int
 tgetnum(char *id)
 {
-	register int i, base;
-	register char *bp = tbuf;
+	int i, base;
+	char *bp = tbuf;
 
 	for (;;) {
 		bp = tskip(bp);
@@ -255,7 +255,7 @@
 int
 tgetflag(char *id)
 {
-	register char *bp = tbuf;
+	char *bp = tbuf;
 
 	for (;;) {
 		bp = tskip(bp);
@@ -281,7 +281,7 @@
 char *
 tgetstr(char *id, char **area)
 {
-	register char *bp = tbuf;
+	char *bp = tbuf;
 
 	for (;;) {
 		bp = tskip(bp);
@@ -303,10 +303,10 @@
  * string capability escapes.
  */
 static char *
-tdecode(register char *str, char **area)
+tdecode(char *str, char **area)
 {
-	register char *cp;
-	register int c;
+	char *cp;
+	int c;
 	int i;
 
 	cp = *area;
Index: usr.bin/vis/foldit.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/vis/foldit.c,v
retrieving revision 1.3
diff -u -r1.3 foldit.c
--- usr.bin/vis/foldit.c	4 Oct 2003 20:36:54 -0000	1.3
+++ usr.bin/vis/foldit.c	24 Aug 2008 10:12:25 -0000
@@ -40,7 +40,7 @@
 int
 foldit(char *chunk, int col, int max)
 {
-	register char *cp;
+	char *cp;
 
 	/*
 	 * Keep track of column position. Insert hidden newline
Index: usr.bin/vis/vis.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/vis/vis.c,v
retrieving revision 1.3
diff -u -r1.3 vis.c
--- usr.bin/vis/vis.c	4 Oct 2003 20:36:54 -0000	1.3
+++ usr.bin/vis/vis.c	24 Aug 2008 10:12:53 -0000
@@ -131,8 +131,8 @@
 process(FILE *fp, char *filename)
 {
 	static int col = 0;
-	register char *cp = "\0"+1;	/* so *(cp-1) starts out != '\n' */
-	register int c, rachar;
+	char *cp = "\0"+1;		/* so *(cp-1) starts out != '\n' */
+	int c, rachar;
 	char buff[5];
 
 	c = getc(fp);
Index: usr.bin/window/cmd.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/cmd.c,v
retrieving revision 1.3
diff -u -r1.3 cmd.c
--- usr.bin/window/cmd.c	15 Apr 2005 17:55:29 -0000	1.3
+++ usr.bin/window/cmd.c	28 Aug 2008 17:56:57 -0000
@@ -41,9 +41,9 @@
 #include "defs.h"
 #include "char.h"
 
-docmd()
+docmd(void)
 {
-	register c;
+	int c;
 	struct ww *w;
 	char out = 0;
 
@@ -213,7 +213,7 @@
 }
 
 struct ww *
-getwin()
+getwin(void)
 {
 	int c;
 	struct ww *w = 0;
@@ -242,8 +242,8 @@
 	return w;
 }
 
-checkproc(w)
-struct ww *w;
+int
+checkproc(struct ww *w)
 {
 	if (w->ww_state != WWS_HASPROC) {
 		error("No process in window.");
@@ -252,8 +252,8 @@
 	return 0;
 }
 
-setcmd(new)
-char new;
+void
+setcmd(char new)
 {
 	if (new && !incmd) {
 		if (!terse)
@@ -273,8 +273,8 @@
 	incmd = new;
 }
 
-setterse(new)
-char new;
+void
+setterse(char *new)
 {
 	if (incmd)
 		if (new && !terse) {
@@ -288,8 +288,8 @@
 /*
  * Set the current window.
  */
-setselwin(w)
-struct ww *w;
+void
+setselwin(struct ww *w)
 {
 	if (selwin == w)
 		return;
Index: usr.bin/window/cmd1.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/cmd1.c,v
retrieving revision 1.3
diff -u -r1.3 cmd1.c
--- usr.bin/window/cmd1.c	15 Apr 2005 17:55:29 -0000	1.3
+++ usr.bin/window/cmd1.c	26 Aug 2008 20:00:33 -0000
@@ -41,7 +41,7 @@
 #include "defs.h"
 #include "char.h"
 
-c_window()
+c_window(void)
 {
 	int col, row, xcol, xrow;
 	int id;
@@ -108,10 +108,7 @@
 		(char *) 0, 1, 1, default_shellfile, default_shell);
 }
 
-getpos(row, col, minrow, mincol, maxrow, maxcol)
-int *row, *col;
-int minrow, mincol;
-int maxrow, maxcol;
+getpos(int *row, int *col, int minrow, int mincol, int maxrow, int maxcol)
 {
 	static int scount;
 	int count;
Index: usr.bin/window/cmd5.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/window/cmd5.c,v
retrieving revision 1.3
diff -u -r1.3 cmd5.c
--- usr.bin/window/cmd5.c	15 Apr 2005 17:55:29 -0000	1.3
+++ usr.bin/window/cmd5.c	24 Aug 2008 10:13:25 -0000
@@ -105,7 +105,7 @@
  * Weird stufff, don't ask.
  */
 getminmax(x, n, a, b, curx, minx, maxx)
-register x, n, a, b;
+int x, n, a, b;
 int *curx, *minx, *maxx;
 {
 	if (x < 0)
